Bug 45878 - Generated jars do not contain proper manifests or N & L files
Generated jars do not contain proper manifests or N & L files
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Native:Packaging
6.0.18
PC Windows XP
: P2 enhancement with 1 vote (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-09-24 08:23 UTC by Sebb
Modified: 2016-02-04 12:30 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2008-09-24 08:23:55 UTC
This seems to be a regression since 5.5.x.

The jars in the binary distribution of 6.0.18 contain a MANIFEST, but the contents are minimal, for example jsp-api.jar contains:

Manifest-Version: 1.0
Ant-Version: Apache Ant 1.7.0
Created-By: 1.5.0_12-b04 (Sun Microsystems Inc.)

whereas the jsp-api.jar in 5.5.27 contains:

Manifest-Version: 1.0
Ant-Version: Apache Ant 1.7.0
Created-By: 1.4.2_12-b03 (Sun Microsystems Inc.)

Name: javax/servlet/jsp/
Specification-Title: Java API for JavaServer Pages
Specification-Version: 2.0
Specification-Vendor: Sun Microsystems, Inc.
Implementation-Title: javax.servlet.jsp
Implementation-Version: 2.0.public_draft
Implementation-Vendor: Apache Software Foundation


I think all the generated jars should contain the following properties:

Built-By:
Name: 
Specification-Title:
Specification-Version:
Specification-Vendor:
Implementation-Title:
Implementation-Version:
Implementation-Vendor:
X-Compile-Source-JDK:
X-Compile-Target-JDK:

Also, all the jars should contain NOTICE and LICENSE files.
Comment 1 Mark Thomas 2008-09-24 12:27:29 UTC
The spec jars should be easy to fix.

I don't see how many of those values apply to most of the Tomcat jars. What,
for example, would you expect the manifest for catalina.jar to look like?

I can see the point of the  NOTICE and LICENSE files as it makes adding the
Tomcat jars to Maven etc easier but they are not required for the standard
Tomcat distributions.
Comment 2 Mark Thomas 2008-09-25 16:23:12 UTC
I have committed a proposed fix to trunk for the spec jars and proposed it for 6.0.x. I am expecting some debate on how best to do this. Once we have agreed how to handle the spec JARs, we can look at extending this tot he remaining JARs.
Comment 3 Mark Thomas 2008-11-04 19:08:31 UTC
The regression with the spec jars has been fixed and will be in 6.0.19 onwards. The remaining jars are outstanding.
Comment 4 Mark Thomas 2016-02-04 12:30:19 UTC
No idea when it happened but checking the 6.0.45 proposed release shows this has been fixed.